Linux 上 SQL Server 2019 的版本資訊

適用于:SQL Server 2019 (15.x) - Linux

下列版本資訊適用于在 Linux 上執行的 SQL Server 2019 (15.x) 。 此文章已針對每個版本細分為數個小節。 GA 版本會列出詳細的可支援性和已知問題。 每個累積更新 (CU) 或一般發行版本 (GDR) 除了有 Linux 套件下載連結之外,還有說明 CU 變更的支援文章連結。

這些版本資訊特別適用于 SQL Server 2019 (15.x) 版本。 如需其他版本的版本資訊,請參閱下列文章:

支援的平台

平台 檔案系統 安裝指南 Get
Red Hat Enterprise Linux 7.7 - 7.9 或 8.0 - 8.5 伺服器 XFS 或 EXT4 安裝指南 取得 RHEL 8.0
SUSE Enterprise Linux Server v12 (SP3 - SP5) 或 v15 XFS 或 EXT4 安裝指南 取得 SLES v15
Ubuntu 16.04 LTS 1、18.04 LTS、20.04 LTS XFS 或 EXT4 安裝指南 取得 Ubuntu 20.04
Windows、Mac 或 Linux 上的 Docker Engine 1.8+ N/A 安裝指南 取得 Docker

1 Ubuntu 16.04 上的SQL Server支援有限。 2021 年 4 月結束時,Ubuntu 16.04 從其標準五年維護期間轉換,長期支援 (LTS) 版本,轉換為延伸的安全性維護 (ESM) 支援。 如需詳細資訊,請參閱 Ubuntu 16.04 LTS 轉換至延伸安全性維護 (ESM) |Ubuntu

提示

如需詳細資訊,請檢閱適用於 Linux 上的 SQL Server 的系統需求。 如需SQL Server的最新支援原則,請參閱Microsoft SQL Server的技術支援原則

工具

以 SQL Server 為目標的大部分現有用戶端工具,都可以順暢地以在 Linux 上執行的 SQL Server 為目標。 某些工具可能需要特定版本,才能與 Linux 良好搭配運作。 如需 SQL Server 工具的完整清單,請參閱適用於 SQL Server 的 SQL 工具和公用程式

所有套件的最新版本

本節列出每個散發套件的最新版本,適用于 2019 SQL Server。 下表顯示最新的版本,也就是 CU 18。 如需完整發行歷程記錄,請參閱SQL Server 2019 的版本歷程記錄

版本 版本 Date 建置 知識庫文章
SQL Server 2019 (15.x) CU 18 2022-09-28 15.0.4261.1 KB 5017593
散發 套件名稱 套件版本 下載
Red Hat Enterprise Linux
RHEL 8 Database Engine 15.0.4261.1-2 Database Engine RPM 套件
RHEL 8 擴充性 15.0.4261.1-2 擴充性 RPM 套件
RHEL 8 全文檢索搜尋 15.0.4261.1-2 全文檢索搜尋 RPM 套件
RHEL 8 高可用性 15.0.4261.1-2 高可用性 RPM 套件
RHEL 8 JAVA 擴充性 15.0.4261.1-2 Java 擴充性 RPM 套件
RHEL 8 PolyBase 15.0.4261.1-2 PolyBase RPM 套件
RHEL 8 SSIS 15.0.4063.15-88 SSIS RPM 套件
SUSE Enterprise Linux Server
SLES 15 Database Engine 15.0.4261.1-2 Database Engine RPM 套件
SLES 15 擴充性 15.0.4261.1-2 擴充性 RPM 套件
SLES 15 全文檢索搜尋 15.0.4261.1-2 全文檢索搜尋 RPM 套件
SLES 15 高可用性 15.0.4261.1-2 高可用性 RPM 套件
SLES 15 JAVA 擴充性 15.0.4261.1-2 Java 擴充性 RPM 套件
SLES 15 PolyBase 15.0.4261.1-2 PolyBase RPM 套件
Ubuntu
Ubuntu 20.04 Database Engine 15.0.4261.1-2 Database Engine Debian 套件
Ubuntu 20.04 擴充性 15.0.4261.1-2 擴充性 Debian 套件
Ubuntu 20.04 全文檢索搜尋 15.0.4261.1-2 全文檢索搜尋 Debian 套件
Ubuntu 20.04 高可用性 15.0.4261.1-2 高可用性 Debian 套件
Ubuntu 20.04 JAVA 擴充性 15.0.4261.1-2 Java 擴充性 Debian 套件
Ubuntu 20.04 PolyBase 15.0.4261.1-2 PolyBase Debian 套件
Ubuntu 18.04 SSIS 15.0.4153.1-89 SSIS Debian 套件

如何安裝更新

如果您已設定 CU 存放庫 (mssql-server-2019) ,當您執行新安裝時,將會取得SQL Server套件的最新 CU。 如果您需要 Docker 容器映像,請參閱Linux 上適用於 Docker 引擎的 Microsoft SQL Server 官方映像。 如需有關存放庫設定的詳細資訊,請參閱針對 Linux 上的 SQL Server 設定存放庫

如果您正在更新現有的 SQL Server 套件,請針對每個套件執行適當的更新命令以取得最新的 CU。 如需每個套件的特定更新指示,請參閱下列安裝指南:

版本歷程記錄

下表列出 2019 SQL Server 2019 (15.x) 的版本歷程記錄。

版本 版本 發行日期
CU 18 15.0.4261.1 2022-09-28
CU 17 15.0.4249.2 2022-08-11
CU 16 GDR 15.0.4236.7 2022-06-14
CU 16 15.0.4223.1 2022-04-18
CU 15 15.0.4198.2 2022-01-27
CU 14 15.0.4188.2 2021-11-22
CU 13 15.0.4178.1 2021-10-05
CU 12 15.0.4153.1 2021-08-04
CU 11 15.0.4138.2 2021-06-10
CU 10 15.0.4123.1 2021-04-06
CU 9 15.0.4102.2 2021-02-10
CU 8 GDR 15.0.4083.2 2021-01-12
GDR 1 15.0.2080.9 2021-01-12
CU 8 15.0.4073.23 2020-10-07
CU 7 (已移除) 15.0.4063.15 2020-09-02
CU 6 15.0.4053.23 2020-08-04
CU 5 15.0.4043.16 2020-06-22
CU 4 15.0.4033.1 2020-03-31
CU 3 15.0.4023.6 2020-03-12
CU 2 15.0.4013.40 2020-02-13
CU 1 15.0.4003.23 2020-01-07
GA 15.0.2000.5 2019-11-04

已知問題

下列各節說明 Linux 上 SQL Server 2019 (15.x) 的已知問題。

一般

  • 安裝SQL Server主機名稱的長度必須是 15 個字元或更少。

    • 解決方法:將 中 /etc/hostname 的名稱變更為長度為 15 個字元或更少。
  • 手動設定系統時間回溯會導致SQL Server停止在SQL Server內更新內部系統時間。

    • 解決方式:重新開機SQL Server。
  • 僅支援單一執行個體安裝。

    • 解決方法:如果您想要在指定的主機上有多個執行個體,請考慮使用 VM 或 Docker 容器。
  • SQL Server 組態管理員無法連線到Linux 上的 SQL Server。

  • sa 登入的預設語言是英文。

    • 解決方式:使用 ALTER LOGIN 語句變更sa登入的語言。
  • OLEDB 提供者會記錄下列警告:Failed to verify the Authenticode signature of 'C:\binn\msoledbsql.dll'. Signature verification of SQL Server DLLs will be skipped. Genuine copies of SQL Server are signed. Failure to verify the Authenticode signature might indicate that this is not an authentic release of SQL Server. Install a genuine copy of SQL Server or contact customer support.

    • 解決方法:您不需要執行任何動作。 OLEDB 提供者是使用 SHA256 簽署的。 SQL Server 資料庫引擎不會正確地驗證已簽署的 .dll。

資料庫

  • master無法使用mssql-conf公用程式移動資料庫。 其他系統資料庫可以使用 mssql-conf移動。

  • 還原在 Windows 上備份SQL Server的資料庫時,您必須在 WITH MOVE Transact-SQL 語句中使用 子句。

  • 某些演算法 (傳輸層安全性 (TLS) 的加密套件) 不適用於Linux 上的 SQL Server。 這會導致嘗試連線到SQL Server時發生連線失敗,以及在高可用性群組中建立複本之間的連線時發生問題。

    • 解決方式:執行下列動作,修改 mssql.conf Linux 上的 SQL Server 的組態腳本,以停用有問題的加密套件:

      1. 將下列內容新增至 /var/opt/mssql/mssql.conf

        [network]
        tlsciphers=AES256-GCM-SHA384:AES128-GCM-SHA256:AES256-SHA256:AES128-SHA256:AES256-SHA:AES128-SHA:!ECDHE-RSA-AES128-GCM-SHA256:!ECDHE-RSA-AES256-GCM-SHA384:!ECDHE-ECDSA-AES256-GCM-SHA384:!ECDHE-ECDSA-AES128-GCM-SHA256:!ECDHE-ECDSA-AES256-SHA384:!ECDHE-ECDSA-AES128-SHA256:!ECDHE-ECDSA-AES256-SHA:!ECDHE-ECDSA-AES128-SHA:!ECDHE-RSA-AES256-SHA384:!ECDHE-RSA-AES128-SHA256:!ECDHE-RSA-AES256-SHA:!ECDHE-RSA-AES128-SHA:!DHE-RSA-AES256-GCM-SHA384:!DHE-RSA-AES128-GCM-SHA256:!DHE-RSA-AES256-SHA:!DHE-RSA-AES128-SHA:!DHE-DSS-AES256-SHA256:!DHE-DSS-AES128-SHA256:!DHE-DSS-AES256-SHA:!DHE-DSS-AES128-SHA:!DHE-DSS-DES-CBC3-SHA:!NULL-SHA256:!NULL-SHA
        

        注意

        在上述程式碼中,! 會否定運算式。 這告訴 OpenSSL 不要使用下列加密套件。

      2. 使用下列命令重新開機SQL Server。

        sudo systemctl restart mssql-server
        
  • SQL Server 2014 (12.x) 使用記憶體內部 OLTP 的 Windows 資料庫無法還原至Linux 上的 SQL Server。 若要還原使用記憶體內部 OLTP 的 SQL Server 2014 (12.x) 資料庫,請先將資料庫升級至較新版本的 Windows SQL Server,再透過備份/還原或卸離/附加將它們移至Linux 上的 SQL Server。

  • Linux 目前不支援使用者權限 ADMINISTER BULK OPERATIONS

  • 使用 SQL Server 2019 (15.x) CU 16 和更新版本的 TDE 壓縮備份,無法還原至舊版的 SQL Server 2019 (15.x) 。 如需詳細資訊,請參閱 FIX:執行 RESTORE LOG 或 RESTORE DATABASE 期間發生錯誤 3241

    使用舊版 SQL SERVER 2019 (15.x) ,仍可使用 SQL Server 2019 (15.x (15.x) CU 16 和更新版本還原的透明資料 (加密) 壓縮備份。

網路

如果符合下列兩個條件,則涉及來自進程輸出 TCP sqlservr 連線的功能,例如連結的伺服器、PolyBase 或可用性群組可能無法運作:

  1. 以主機名稱的形式而不是 IP 位址來指定目標伺服器。

  2. 來源執行個體的核心中已停用 IPv6。 若要確認您系統的核心中是否已啟用 IPv6,必須通過下列所有測試:

    • cat /proc/cmdline 會列印目前核心的開機 cmdline。 輸出不得包含 ipv6.disable=1
    • 目錄 /proc/sys/net/ipv6/ 必須存在。
    • 呼叫 socket(AF_INET6, SOCK_STREAM, IPPROTO_IP) 的 C 程式應該成功 - syscall 必須傳回 fd != -1 ,且不會失敗。 EAFNOSUPPORT

確切的錯誤需視功能而定。 就連結的伺服器而言,這會顯示為登入逾時錯誤。 針對可用性群組, ALTER AVAILABILITY GROUP JOIN 次要上的 DDL 會在 5 分鐘後失敗,併發生 download configuration timeout 錯誤。

若要解決這個問題,請執行下列其中一個動作:

  1. 使用 IP 而非主機名稱來指定 TCP 連線的目標。

  2. 從開機命令列移除 ipv6.disable=1 ,以啟用核心中的 IPv6。 這樣做的方式取決於 Linux 發行版本和開機載入器,例如 grub。 如果您想要停用 IPv6,您仍然可以在組態 (中 sysctl 設定 net.ipv6.conf.all.disable_ipv6 = 1 來停用它, /etc/sysctl.conf 例如,) 。 這仍然會防止系統的網路介面卡取得 IPv6 位址,但允許 sqlservr 這些功能運作。

網路檔案系統 (NFS)

如果您在生產環境中使用網路檔案系統 (NFS) 遠端共用,請注意下列支援需求:

  • 使用 NFS 版本 4.2 或更新的版本。 舊版 NFS 不支援新式檔案系統通用的必要功能,例如 fallocate 和疏鬆檔案建立。

  • /var/opt/mssql 找出 NFS 掛接上的目錄。 不支援其他檔案,例如SQL Server系統二進位檔。

  • 確定 NFS 用戶端在裝載遠端共用時使用 nolock 選項。

當地語系化

  • 如果您的地區設定不是英文 () en_us 安裝期間,您必須在 bash 會話/終端機中使用 UTF-8 編碼。 如果您使用 ASCII 編碼,可能會看到類似以下的錯誤:

    UnicodeEncodeError: 'ascii' codec can't encode character u'\xf1' in position 8: ordinal not in range(128)
    

    如果您無法使用 UTF-8 編碼,請使用 MSSQL_LCID 環境變數執行安裝程式來指定您的語言選擇。

    sudo MSSQL_LCID=<LcidValue> /opt/mssql/bin/mssql-conf setup
    
  • 執行 mssql-conf setup 時,執行非英文SQL Server安裝時,當地語系化文字「設定SQL Server...」之後會顯示不正確的擴充字元。 或者,針對非拉丁文的安裝,此句子可能會完全遺失。 遺失的句子應該會顯示下列當地語系化字串:

    The licensing PID was successfully processed. The new edition is [<Name> edition].

    此字串僅供資訊使用,下一個SQL Server累積更新會針對所有語言解決此問題。 這不會影響任何方式成功安裝SQL Server。

並非所有篩選都可供此版本使用,包括 Microsoft Office 檔的篩選。 如需所支援篩選的清單,請參閱在 Linux 上安裝 SQL Server 全文檢索搜尋

SQL Server Integration Services (SSIS)

此版本中在 SUSE 上不支援 mssql-server-is 套件。 目前在 Ubuntu 和 Red Hat Enterprise Linux (RHEL) 上支援此套件。

Integration Services 套件可以在 Linux 上使用 ODBC 連線。 此功能已經過 SQL Server 和 MySQL ODBC 驅動程式的測試,但也應該能夠與任何遵循 ODBC 規格的 Unicode ODBC 驅動程式搭配使用。 在設計階段,您可以提供 DSN 或連接字串來連接到 ODBC 資料;您也可以使用 Windows 驗證。 如需詳細資訊,請參閱宣佈在 Linux 上提供 ODBC 支援的部落格文章 \(英文\)。

在 Linux 上執行 SSIS 套件時,此版本不支援下列功能:

  • Integration Services 目錄資料庫
  • SQL Agent 排定的套件執行
  • Windows 驗證
  • 協力廠商元件
  • 異動資料擷取 (CDC)
  • Integration Services Scale Out
  • 適用於 SSIS 的 Azure Feature Pack
  • Hadoop 和 HDFS 支援
  • Microsoft Connector for SAP BW

如需目前不支援或受限制支援的內建 SSIS 元件清單,請參閱 Linux 上的 SSIS 限制和已知問題

如需有關 Linux 上 SSIS 的詳細資訊,請參閱下列文章:

SQL Server Management Studio (SSMS)

下列限制適用于連線到 Linux 上的 SQL Server 的 Windows 上SQL Server Management Studio。

  • 不支援維護計劃。

  • 不支援管理Data Warehouse (MDW) 和SQL Server Management Studio中的資料收集器。

  • SQL Server Management Studio具有 Windows 驗證或 Windows 事件記錄檔選項的 UI 元件不適用於 Linux。 您仍然可以將這些功能與其他選項搭配使用,例如 SQL 登入。

  • 無法修改要保留的記錄檔數目。

另請參閱

下一步